SystemOrganization addCategory: #TADP1!

TestCase subclass: #TestConsumoUnaComputadora
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!TestConsumoUnaComputadora methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 19:51'!
consumoComputadoraDiscoMagnetico

	|disco1 compu1|
	compu1 := Computadora new.
	disco1 := Magnetico new.
	disco1 rpm: 1000.
	compu1 agregarComponente: disco1.

	self assert: compu1 consumoTotal = 6.  
   ! !

Object subclass: #Componente
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Componente methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:25'!
consumo
	self subclassResponsibility ! !

Componente subclass: #DiscoRigido
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!DiscoRigido methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:30'!
consumo 
	self subclassResponsibility ! !

DiscoRigido subclass: #Magnetico
	instanceVariableNames: 'rpm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Magnetico methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:33'!
consumo
	^self rpm * 60 / 10000! !

!Magnetico methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 18:04'!
rpm
	^ rpm! !

!Magnetico methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 18:04'!
rpm: anObject
	rpm := anObject! !

DiscoRigido subclass: #Solido
	instanceVariableNames: 'consumoEspecifico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Solido methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 17:26'!
consumo 
	^self consumoEspecifico! !

!Solido methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 18:05'!
consumoEspecifico
	^ consumoEspecifico! !

!Solido methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 18:05'!
consumoEspecifico: anObject
	consumoEspecifico := anObject! !

Componente subclass: #PlacaDeVideo
	instanceVariableNames: 'cantidadDeCoolers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

PlacaDeVideo subclass: #Comunes
	instanceVariableNames: 'consumoPromedio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Comunes methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:28'!
consumoPromedio
	^ consumoPromedio! !

!Comunes methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:28'!
consumoPromedio: anObject
	consumoPromedio := anObject! !

!Comunes methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:44'!
consumoPropio 
	^self consumoPromedio! !

PlacaDeVideo subclass: #Gpu
	instanceVariableNames: 'anchoMax largoMax pantalla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:28'!
anchoMax
	^ anchoMax! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:28'!
anchoMax: anObject
	anchoMax := anObject! !

!Gpu methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:48'!
consumoPropio 
	^(self resolucion) * (1/100000)! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
largoMax
	^ largoMax! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
largoMax: anObject
	largoMax := anObject! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
pantalla
	^ pantalla! !

!Gpu methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
pantalla: anObject
	pantalla := anObject! !

!Gpu methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:53'!
resolucion 
	^self resolucionMaxima min: self pantalla resolucion! !

!Gpu methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:47'!
resolucionMaxima
	^self anchoMax * self largoMax! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:27'!
cantidadDeCoolers
	^ cantidadDeCoolers! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:27'!
cantidadDeCoolers: anObject
	cantidadDeCoolers := anObject! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:42'!
consumo
	^self consumoPropio + self consumoCoolers! !

!PlacaDeVideo methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 16:43'!
consumoCoolers 
	^cantidadDeCoolers * 0,5! !

Object subclass: #Computadora
	instanceVariableNames: 'componentes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Computadora methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 17:30'!
agregarComponente: unComponente 
	componentes add: unComponente! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 17:23'!
consumoTotal
	^componentes sum:[:unComponente | unComponente consumo]! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'Brimbo 4/6/2013 19:36'!
initialize 
	componentes := Bag new.! !

Object subclass: #Pantalla
	instanceVariableNames: 'resolucion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP1'!

!Pantalla methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
resolucion
	^ resolucion! !

!Pantalla methodsFor: 'accessing' stamp: 'Brimbo 4/6/2013 17:29'!
resolucion: anObject
	resolucion := anObject! !
